Bug 38631 - Writer IMPORT/EXPORT to doc: extra spacing gets added to an embedded table
Summary: Writer IMPORT/EXPORT to doc: extra spacing gets added to an embedded table
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Header-Footer
  Show dependency treegraph
 
Reported: 2011-06-23 21:43 UTC by Rad C.
Modified: 2018-12-27 14:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
extra spacing added to a picture (70.40 KB, image/png)
2011-06-23 21:43 UTC, Rad C.
Details
3 sections with headers that include a picture showing extra spacing but the first one (280.50 KB, application/msword)
2011-07-02 11:44 UTC, hirt
Details
Reduced example DOC (140.50 KB, application/wps-office.doc)
2018-12-27 14:27 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rad C. 2011-06-23 21:43:02 UTC
Created attachment 48364 [details]
extra spacing added to a picture

See the attachment.

It's is possible to remove the extra space using OOo. 3.3
But it gets restored if the document is opened again with LO 3.4


LibreOffice 3.4.0 
OOO340m1 (Build:12)
Comment 1 hirt 2011-07-02 11:44:45 UTC
Created attachment 48695 [details]
3 sections with headers that include a picture showing extra spacing but the first one

I can confirm this bug under Linux. Still present in LO 3.4.1 Release.

Each open adds an extra Border and reduces at later opens the image size. This behaviour can be stopped if the image is inserted new from file in LO 3.4.1.

In the attached document the first header is stable as its picture is inserted new. The header of section 2 was fixed in size and border removed before save.
The header of section 3 was not fixed and stored at least twice.
Comment 2 Björn Michaelsen 2011-12-23 12:21:52 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 13:58:15 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 13:59:33 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:04:09 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:06:21 UTC Comment hidden (obsolete)
Comment 7 sasha.libreoffice 2012-09-20 12:56:34 UTC
Reproduced problem with table in header
Step to reproduce:
0. Open attached doc, select table in header, right hand mouse click->Table->first tab "Table", field "spacing left". There is value -0.16 cm.
1. File->Save
2. File->Reload
3. Now see field, mentioned in step 0. There already -0.17 cm.
4. Repeat steps 1,2. Now there -0.18 cm. And so on

Reproduced in 3.6.1 on Fedora 64 bit
Resembles Bug 45536 and Bug 43170
Comment 8 QA Administrators 2015-01-05 17:51:34 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-01-22 16:48:43 UTC
(In reply to sasha.libreoffice from comment #7)
> Reproduced problem with table in header
> Step to reproduce:
> 0. Open attached doc, select table in header, right hand mouse
> click->Table->first tab "Table", field "spacing left". There is value -0.16
> cm.
> 1. File->Save
> 2. File->Reload
> 3. Now see field, mentioned in step 0. There already -0.17 cm.
> 4. Repeat steps 1,2. Now there -0.18 cm. And so on

Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 10 QA Administrators 2016-02-21 08:35:42 UTC Comment hidden (obsolete)
Comment 11 Telesto 2017-01-23 19:03:02 UTC Comment hidden (obsolete)
Comment 12 Buovjaga 2017-01-24 16:58:21 UTC
(In reply to Telesto from comment #11)
> No repro with:
> Version: 5.4.0.0.alpha0+
> Build ID: 99eed82939999d9a9689788a4134dd05d5c20c5a
> CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
> TinderBox: Win-x86@42, Branch:master, Time: 2017-01-14_23:37:40
> Locale: nl-NL (nl_NL); Calc: CL
> 
> RESOLVED WORKSFORME.
> Feel free to revert status if you still reproduce the bug

I still repro with the steps in comment 7

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 63fd4c97118a943c84ba5a666cf8c9cc54b511c7
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on January 22th 2016
Comment 13 QA Administrators 2018-01-25 03:28:26 UTC Comment hidden (obsolete)
Comment 14 Roman Kuznetsov 2018-09-02 20:19:58 UTC
still repro in LO 6.1.1.1
Comment 15 Timur 2018-12-27 14:27:44 UTC
Created attachment 147858 [details]
Reduced example DOC

Repro 6.3+